Name:          libebml
Version:       1.4.3
Release:       1mamba
Summary:       Extensible Binary Meta Language library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.matroska.org/index.html
Source:        http://dl.matroska.org/downloads/%{name}/%{name}-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
This library is used for I/O operations in the Extensible Binary Meta Language
(EBML), which is a kind of binary version of XML.

%package devel
Summary:       Development files for the Extensible Binary Meta Language
Group:         Development/Libraries
Requires:     %{name} = %{version}

%description devel
This library is used for I/O operations in the Extensible Binary Meta Language (EBML), which is a kind of binary version of XML.
This package contains the files required to rebuild applications which will use the Extensible Binary Meta Language.

%debug_package

%prep
%setup -q

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build
chmod +x %{buildroot}%{_libdir}/*.so.*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libebml.so.*
%doc LICENSE.LGPL

%files devel
%defattr(-, root, root)
%dir %{_includedir}/ebml/
%{_includedir}/ebml/*
%{_libdir}/libebml.so
%{_libdir}/pkgconfig/libebml.pc
%dir %{_libdir}/cmake/EBML
%{_libdir}/cmake/EBML/EBML*.cmake
%doc README.md

%changelog
* Sun Oct 02 2022 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Thu Jan 07 2021 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Mon Aug 10 2020 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue Dec 17 2019 Automatic Build System <autodist@mambasoft.it> 1.3.10-1mamba
- automatic version update by autodist

* Tue May 28 2019 Automatic Build System <autodist@mambasoft.it> 1.3.9-1mamba
- automatic version update by autodist

* Mon May 27 2019 Automatic Build System <autodist@mambasoft.it> 1.3.8-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 1.3.7-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Automatic Build System <autodist@mambasoft.it> 1.3.6-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-1mamba
- update to 1.3.5

* Sat Jul 23 2016 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Sat Jan 09 2016 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic update by autodist

* Wed Jan 21 2015 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Wed Mar 20 2013 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sun Oct 02 2011 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Jul 23 2011 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update to 3.0.3.0 by autodist

* Sat Feb 05 2011 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic update by autodist

* Thu May 13 2010 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic update by autodist

* Fri Dec 05 2008 gil <puntogil@libero.it> 0.7.8-1mamba
- update to 0.7.8

* Mon Jul 31 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.7-1qilnx
- update to version 0.7.7 by autospec

* Fri Jun 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.7.4-1qilnx
- update to version 0.7.4 by autospec

* Sun Oct 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.7.1-2qilnx
- specfile modified to match QiLinux standards

* Sun Sep 19 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.7.1-1qilnx
- first build
